跳转至

Release Notes For Rocky Linux 8.6

Major Changes

For a complete list of major changes, please see the upstream listing here.

Below are some highlights.

Security

  • fapolicyd: updated to version 1.1. Includes the ability to use /rules.d and /trust.d directories, the ability to use fagenrules script, and new options for the fapolicyd-clicommand.
  • OpenSSH server now supports drop-in configurations. This means you can use the Include directive in sshd_config similar to what is now available for ssh_config.
  • pcsc-lite package: rebased to upstream version 1.9.5 with new enhancements and bug fixes.
  • SELinux: You can now verify versions of installed policy modules by using the --checksum option with the semodule command.
  • SCAP Security Guide (SSG) packages: rebased to version 0.1.60, and OpenSCAP packages have been rebased to version 1.3.6.

Web and Programming

New modules are available for:

  • PHP 8.0
  • Perl 5.32

Identity Management

  • ansible-freeipa roles and modules available in the Ansible Automation Hub.

Infrastructure Services

  • bind9.16 issued as an alternative to the regular bind packages with an enhanced feature set. For more on this see Infrastructure Services upstream.

Ansible

You can now install ansible-core from the Rocky Linux Appstream repository. If you already have ansible installed from another source, you will need to uninstall that to be able to upgrade ansible.

New Modules

  • container-tools:4.0
  • eclipse:rhel8
  • log4j:2
  • perl:5.32
  • php:8.0

Compilers and Development Tools

Highlights include:

  • GCC Toolset 11
  • LLVM Toolset 13.0.1
  • Rust Toolset 1.58.1
  • Go Toolset 1.17.7

For more information on the latest changes see the upstream listing here.

Fastest Mirrors

During network installation, the list of mirrors hosting BaseOS content from the MirrorList will be used by the FastestMirror DNF plugin, sorted heuristically by the time it takes to open a connection to the mirrors on their given protocol's port (Source code).

This change means that a Repository URL is no longer required when using Boot-only media and performing Network-based installations of Rocky (and other Enterprise) Linux! This has been true since Rocky 8.5, but is worth mentioning again.

Upgrading From Rocky Linux 8.5

Simply run sudo dnf -y upgrade.

Known Issues

  • kdump: Currently, when using any interactive installation method, the kdump spoke must be entered last. This includes any plans for disk encryption. In these cases, if you have plans to turn off kdump, format the disk with encryption before turning it off.
  • minimal ISO: When doing an installation with the minimal ISO, be prepared to be missing packages, most notably from the AppStream repository (rsyslog, policycoreutils-python-utils, etc.). This is to be expected.
  • KDE and this kernel bug: If you are using KDE on 8.5 and upgrade to 8.6, it is highly likely that you will end up with issues. The referenced bug deals with the inability to unlock your screen after locking occurs. A workaround is to boot to the older kernel in GRUB on startup.

As with any release, there are issues that are already known. You can see the current listing of issues from the upstream here.

Reporting Bugs

Please report any bugs you encounter to the Rocky Linux Bug Tracker. We also welcome you to join our community in any way you wish be it on our Forums, Mattermost, IRC on Libera.Chat, Reddit, Mailing Lists, or any other way you wish to participate!


最后更新: June 22, 2022